# $Revision: 1.33 $, $Date: 2006/12/13 22:37:44 $
%define		_modname	imagick
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	PHP wrapper to the Image Magick Library
Summary(pl):	PHP-owy wrapper do biblioteki Image Magick
Name:		php-pecl-%{_modname}
Version:	0.9.11
Release:	12
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	c8f78b063eb3fbdef1c8501190983c89
URL:		http://pecl.php.net/package/imagick/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires(triggerpostun):	sed >= 4.0
Requires:	%{_sysconfdir}/conf.d
Provides:	php(imagick)
Obsoletes:	php-imagick
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats (over 68 major
formats) including popular formats like TIFF, JPEG, PNG, PDF, PhotoCD,
and GIF. With ImageMagick you can create images dynamically, making it
suitable for Web applications. You can also resize, rotate, sharpen,
color reduce, or add special effects to an image and save your
completed work in the same or differing image format.

In PECL status of this package is: %{_status}.

%description -l pl
ImageMagick to duy zestaw narzdzi i bibliotek do odczytu, zapisu i
modyfikowania obrazkw w wielu formatach (ponad 68 gwnych), w tym
popularnych, takich jak TIFF, JPEG, PNG, PDF, PhotoCD i GIF. Za pomoc
ImageMagick mona dynamicznie tworzy obrazki, co jest przydatne w
aplikacjach WWW. Mona je take przeskalowywa, obraca, wyostrza,
zmniejsza ilo kolorw - w tym samym lub innym formacie.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure

%{__make} \
	CFLAGS_CLEAN="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%triggerpostun -- %{name} < 0.9.11-2.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*%{_modname}\.so/d' %{_sysconfdir}/php.ini

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples/{*.php,*.jpg,*.gif}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-imagick.spec,v $
Revision 1.33  2006/12/13 22:37:44  glen
- rel 12 (php 5.2.0)

Revision 1.32  2006/11/26 15:34:19  glen
- rel 11: add Provides: php(%{_modname})

Revision 1.31  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.30  2006/04/27 19:34:49  glen
- sort preamble

Revision 1.29  2006/04/27 19:13:54  glen
- use sed directly in trigger, rel 10

Revision 1.28  2006/04/05 13:45:54  hawk
- release 9 (rebuild with new ImageMagick)

Revision 1.27  2005/12/22 12:12:25  glen
- rel 8 (rebuild with new php)

Revision 1.26  2005/10/30 13:29:50  glen
- rel 7

Revision 1.25  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.24  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.23  2005/10/02 20:11:16  arekm
- rel 4

Revision 1.22  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.21  2004/12/11 00:40:36  ankry
- rel. 2

Revision 1.20  2004/07/11 11:00:02  adamg
- release 1

Revision 1.19  2004/07/11 10:57:24  adamg
- updated to 0.9.11
- removed obsolete wand patch

Revision 1.18  2004/06/02 21:09:39  qboosh
- added wand patch for ImageMagick 6.0.0+, cleanup, release 2

Revision 1.17  2004/05/31 17:06:31  qboosh
- fixed status info

Revision 1.16  2004/04/04 11:31:47  adamg
- updated to 0.9.9

Revision 1.15  2003/10/15 17:37:04  adamg
- it finally happened - PECL separated from PEAR and moved to its own
  repository, thus changes in urls (s/pear/pecl/)

Revision 1.14  2003/10/07 20:57:04  adamg
- do not use macros in URL

Revision 1.13  2003/09/16 08:45:54  adamg
- updated to 0.9.8

Revision 1.12  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.11  2003/07/18 06:22:50  adamg
- updated to 0.9.5

Revision 1.10  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/23 13:37:33  blues
- 0.9.5 - some new features, few bugfixes

Revision 1.7  2003/02/01 16:04:35  blues
- 0.9.4

Revision 1.6  2003/01/04 15:41:09  blues
- 0.9.3 - more features and fixes, status info added

Revision 1.5  2002/12/27 23:23:23  qboosh
- use proper optflags

Revision 1.4  2002/12/12 19:32:12  blues
- 0.9.2 - bugfixes & few new features

Revision 1.3  2002/12/07 15:30:16  blues
- 0.9.1 - this is new series - NOT COMPATIBLE!! - there is a lot of new
  functions

Revision 1.2  2002/11/14 15:58:05  blues
- more automation

Revision 1.1  2002/10/15 19:11:18  misto
- renamed package with binary pear class from php-pear-class to php-pecl-class
